Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 154847 - switching from DLM to GuLM causes traceback
Summary: switching from DLM to GuLM causes traceback
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Red Hat Cluster Suite
Classification: Retired
Component: redhat-config-cluster
Version: 4
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jim Parsons
QA Contact: Cluster QE
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-04-14 15:25 UTC by Corey Marthaler
Modified: 2009-04-16 20:07 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-04-15 19:45:44 UTC


Attachments (Terms of Use)

Description Corey Marthaler 2005-04-14 15:25:34 UTC
Description of problem:
Traceback (most recent call last):
  File "/usr/sbin/system-config-cluster", line 370, in change_lockserver
    self.model_builder.switch_lockservers()
  File "/usr/share/system-config-cluster/ModelBuilder.py", line 532, in
switch_lockservers
    self.cluster_ptr.removeChild(self.CMAN_ptr)
  File "/usr/share/system-config-cluster/TagObject.py", line 17, in removeChild
    self.children.remove(child)
ValueError: list.remove(x): x not in list


Version-Release number of selected component (if applicable):
[root@tank-03 ~]# rpm -qa | grep system-config-cluster
system-config-cluster-0.9.30-1.0

Comment 1 Jim Parsons 2005-04-14 21:10:52 UTC
This error was caused as part of another action: Creating a DLM cluster from
scratch and then converting it. The code that creates a new DLM cluster was not
saving a pointer to the cman object. This is fixed now in 0.9.31-1.0

Comment 2 Corey Marthaler 2005-04-15 19:45:44 UTC
fix verified.


Note You need to log in before you can comment on or make changes to this bug.